Overview
POST
/auth/ecosystems/{ecosystemId}/pending-usersauthAdd pending users to an ecosystem (owner-scoped)
Create a record in pending-users.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- ecosystemIdpathstring
Request body
application/json · optional
- usersobject[]
Example
{
"users": [
{
"name": "string",
"email": "string",
"phone": "string",
"note": "string"
}
]
}Responses
201
Created pending users
Example
[
{}
]400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/auth/ecosystems/{ecosystemId}/pending-users" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"users": [
{
"name": "string",
"email": "string",
"phone": "string",
"note": "string"
}
]
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/auth/ecosystems/{ecosystemId}/pending-users", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"users\": [\n {\n \"name\": \"string\",\n \"email\": \"string\",\n \"phone\": \"string\",\n \"note\": \"string\"\n }\n ]\n}",
});
const data = await res.json();